Writing Styles

PATCH /public/v1/writing-styles/{id}

Update a writing style. Only the fields you send are changed.

PATCH /public/v1/writing-styles/{id}

PATCH /public/v1/writing-styles/{id}

curl --request PATCH \
  --url 'https://api.joinvalley.co/public/v1/writing-styles/{ID}' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --header 'Content-Type: application/json' \
  --data '{
  "key": "value"
}'
{
  "statusCode": 1,
  "status": true,
  "message": "<string>",
  "data": {
    "writing_style": {
      "id": "<string>",
      "workspace_id": "<string>",
      "name": "<string>",
      "status": "<string>",
      "dos": [
        "<string>"
      ],
      "donts": [
        "<string>"
      ],
      "connect_sequence_example": null,
      "inmail_sequence_example": null,
      "email_sequence_example": null,
      "qna": [
        {}
      ],
      "style": null,
      "template_name": null
    }
  }
}

Default Response

Authorizations

  • x-api-key string required header

    Your Valley API key.

Path Parameters

  • id string required

Request Body

application/json
  • name string
  • dos[] string array
  • donts[] string array
  • connectSequenceExample string
  • inmailSequenceExample string
  • emailSequenceExample string
  • qna[] object array
    + Show Child Attributes
    • question string required
    • answer string required
  • templateName string
  • templateFollowUpConfig object
    + Show Child Attributes
    • f_1 integer
    • f_2 integer
    • f_3 integer
    • f_4 integer
    • f_5 integer
    • f_6 integer
    • f_7 integer
    • f_8 integer
    • f_9 integer
    • f_10 integer
  • accessScope string enum enum

    Allowed values: OWNER, WORKSPACE.

Response

application/json
  • statusCode number
  • status boolean
  • message string
  • data object
    + Show Child Attributes
    • writing_style object
      + Show Child Attributes
      • id string
      • workspace_id string
      • name string
      • status string
      • dos[] string array
      • donts[] string array
      • connect_sequence_example null | string
      • inmail_sequence_example null | string
      • email_sequence_example null | string
      • qna[] object array
        + Show Child Attributes
        • [key: string] any additional

          Additional arbitrary properties are allowed.

      • style null | string
      • template_name null | string
      • template_followup_config null | object
        + Show Child Attributes
        • [key: string] any additional

          Additional arbitrary properties are allowed.

      • access_scope string
      • created_at string
      • updated_at string
      • sources[] object array
        + Show Child Attributes
        • id string
        • type string
        • source string
        • content string
        • created_at string